<?php

namespace BWDK\Core;

use function is_plugin_active;

class RequirementsChecker
{
    public function check(): void
    {
        if ( ! is_admin() ) {
            return;
        }
        if ( ! function_exists('is_plugin_active') ) {
            require_once ABSPATH . 'wp-admin/includes/plugin.php';
        }
        if ( ! is_plugin_active('woocommerce/woocommerce.php') ) {
            deactivate_plugins(plugin_basename(BWDK_PLUGIN_FILE));
            add_action('admin_notices', function () {
                echo '<div class="error"><p><strong>افزونه Buy With Digikala نیاز به افزونه ووکامرس دارد و به همین دلیل غیرفعال شد.</strong></p></div>';
            });
        }
    }
}
